[EP-tech] Debian9 full-upgrade to Debian10 likes to remove eprints

th.lauke at arcor.de th.lauke at arcor.de
Fri Dec 4 14:07:33 GMT 2020


CAUTION: This e-mail originated outside the University of Southampton.

Hi folks,

when I tried to fully upgrade our server running already minimal system-upgrade 10.6, EPrints should be removed!

root at ...:/tmp# apt full-upgrade
:
The following packages will be REMOVED:
  eprints libcpan-meta-perl libcurl3 libgconf2-4 libllvm3.9 libmariadbclient18 libsensors4 libtirpc1 mariadb-client-10.1 mariadb-client-core-10.1 mariadb-server-10.1 mariadb-server-core-10.1 mysql-server

After setting eprints to 'hold', the upgrade fails :(

root at ...:/tmp# apt-mark hold eprints
eprints set on hold.

root at ...:/tmp# apt full-upgrade
Reading package lists... Done
Building dependency tree
Reading state information... Done
Calculating upgrade... Error!
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
 eprints : Depends: mysql-server but it is not going to be installed
E: Unable to correct problems, you have held broken packages.

root at ...:/tmp# apt-cache show eprints
Package: eprints
Version: 3.4.2
Architecture: all
Maintainer: EPrints Software <software at eprints.org>
Installed-Size: 9218
Depends: perl, libncurses5, libselinux1, libsepol1, apache2, libapache2-mod-perl2, libxml-libxml-perl, libunicode-string-perl, libterm-readkey-perl, libmime-lite-perl, libmime-types-perl, libdigest-sha-perl, libdbd-mysql-perl, libxml-parser-perl, libxml2-dev, libxml-twig-perl, libarchive-any-perl, libjson-perl, lynx, wget, ghostscript | gs, xpdf, antiword, elinks, texlive-base, texlive-base-bin, psutils, imagemagick, adduser, tar (>= 1), gzip (>= 1), mysql-server, mysql-client, unzip, libsearch-xapian-perl, libtex-encode-perl, libconfig-general-perl, liblwp-protocol-https-perl, libtext-unidecode-perl
Filename: ./eprints_3.4.2_all.deb
Size: 2130750
MD5sum: c532f9d77acd3bc604ee05336a6a162f
SHA1: 6f5ab916f3cb4b286931af17f5a33f564013f518
SHA256: 42706f25e26957c0263045e17c14a37de0ce3e62f100320522838930589ee436
Section: web
Priority: extra
Homepage: https://eur03.safelinks.protection.outlook.com/?url=http%3A%2F%2Fwww.eprints.org%2Feprints-3.4&amp;data=04%7C01%7Ceprints-tech%40ecs.soton.ac.uk%7C2633ec00b2fa4401bb1908d8985df376%7C4a5378f929f44d3ebe89669d03ada9d8%7C0%7C0%7C637426876564744563%7CUnknown%7CTWFpbGZsb3d8eyJWIjoiMC4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C1000&amp;sdata=hcTshxZB4d8UPZ3K9%2BAeuoc9MyNakT%2FasR0zKqMODYY%3D&amp;reserved=0
Description: Content Management System for Information Archiving
 EPrints is a web-based content management system. It allows a large
 number of contributors to share their digital objects/documents with
 others. Contributors provide descriptive data (metadata) which is
 dependent on the type of object being deposited (presentations, articles, books etc.).
 Before being published objects must be accepted by an editor. Users can
 access published objects through web-page listings, searches, email
 alerts or via integration with other systems.
Description-md5: 12b7c31828418b16207e1702401c238a

root at ...:/tmp# apt-cache show mysql-server
Package: mysql-server
Status: install ok installed
Priority: optional
Section: misc
Installed-Size: 8
Maintainer: Ondřej Surý <ondrej at debian.org>
Architecture: amd64
Source: mysql-transitional
Version: 5.5.9999+default
Depends: default-mysql-server
Description: MySQL database server binaries and system database setup [transitional]
 This is a transitional MySQL database that depends on default MySQL
 database metapackage.  It can be safely removed.
Description-md5: 9640aa018a23c1a7160742ea78f76557

root at ...:/tmp# apt-cache policy eprints
eprints:
  Installed: 3.4.2
  Candidate: 3.4.2
  Version table:
 *** 3.4.2 500
        500 https://eur03.safelinks.protection.outlook.com/?url=http%3A%2F%2Fdeb.eprints-hosting.org%2F3.4%2Fstable&amp;data=04%7C01%7Ceprints-tech%40ecs.soton.ac.uk%7C2633ec00b2fa4401bb1908d8985df376%7C4a5378f929f44d3ebe89669d03ada9d8%7C0%7C0%7C637426876564744563%7CUnknown%7CTWFpbGZsb3d8eyJWIjoiMC4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C1000&amp;sdata=CCYZMrJSKt2P7DuaCd22UJTfYWfOyA3gf9R7w0%2FpHTY%3D&amp;reserved=0 ./ Packages
        100 /var/lib/dpkg/status

I think the dependency have to be mysql-server-5.5?!
How to avoid a (manual) (re-)installation of EPrints?

Many thanks for any suggestions in advance
Thomas



More information about the Eprints-tech mailing list